<h2 mat-dialog-title>{{title}}</h2>
<div mat-dialog-content>
  <form [formGroup]="form">
    <mat-form-field>
      <mat-label>Login</mat-label>
      <input matInput
        formControlName="login"
        placeholder="login" />
    </mat-form-field>
    <mat-form-field>
      <mat-label>password</mat-label>
      <input matInput
        formControlName="password"
        placeholder="password" />
    </mat-form-field>
  </form>
</div>
<div mat-dialog-actions>
  <button mat-raised-button
    [mat-dialog-close]="form.getRawValue()">Save</button>
  <button mat-raised-button
    mat-dialog-close>Cancel</button>
</div>